Bug 156336 - net/netatalk with PAM broken since 2.0.4
net/netatalk with PAM broken since 2.0.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joe Marcus Clarke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-11 19:00 UTC by ml
Modified: 2011-05-09 00:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ml 2011-04-11 19:00:22 UTC
Since version 2.0.4 afpd won't authenticate users through PAM.
For details, see:
http://docs.freebsd.org/cgi/getmsg.cgi?fetch=403710+0+archive/2010/freebsd-ports/20100221.freebsd-ports

Problem seems to be afpd is not linked against libpam.

Fix: 

Dirty fix:

cd /usr/ports/net/netatalk
make configure
${EDITOR} work/netatalk-2.1.5/etc/afpd/Makefile

Change:
afpd$(EXEEXT): $(afpd_OBJECTS) $(afpd_DEPENDENCIES)
        @rm -f afpd$(EXEEXT)
        $(afpd_LINK) $(afpd_OBJECTS) $(afpd_LDADD) $(LIBS)

To:
afpd$(EXEEXT): $(afpd_OBJECTS) $(afpd_DEPENDENCIES)
        @rm -f afpd$(EXEEXT)
        $(afpd_LINK) $(afpd_OBJECTS) $(afpd_LDADD) $(LIBS) -lpam
                                                           ^^^^^
Proceed with make, make install, etc...


Of course there must be some more elegant solution, but I'm not that expert...
How-To-Repeat: Compile net/netatalk with PAM knob; set up afpd to authenticate via pam_smb.
See authentication fail.
Comment 1 Mark Linimon freebsd_committer 2011-04-12 08:19:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Fix synopsis and assign.
Comment 2 dfilter freebsd_committer 2011-05-09 00:08:30 UTC
marcus      2011-05-08 23:08:21 UTC

  FreeBSD ports repository

  Modified files:
    net/netatalk         Makefile 
  Added files:
    net/netatalk/files   patch-etc_apfd_Makefile.in 
  Log:
  Fix linkage when PAM support is enabled.  This isn't on by default, but I
  think it's a common enough option that I'm bumping PORTREVISION.
  
  PR:             156336
  
  Revision  Changes    Path
  1.95      +1 -0      ports/net/netatalk/Makefile
  1.1       +11 -0     ports/net/netatalk/files/patch-etc_apfd_Makefile.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Joe Marcus Clarke freebsd_committer 2011-05-09 00:08:37 UTC
State Changed
From-To: open->closed

Fixed.  Thanks for reporting.